[@bigcommerce/checkout-sdk](../README.md) / CheckoutInitialState

# Interface: CheckoutInitialState

## Table of contents

### Properties

- [b2bApiSettings](CheckoutInitialState.md#b2bapisettings)
- [checkout](CheckoutInitialState.md#checkout)
- [config](CheckoutInitialState.md#config)
- [extensions](CheckoutInitialState.md#extensions)
- [extraFields](CheckoutInitialState.md#extrafields)
- [formFields](CheckoutInitialState.md#formfields)

## Properties

### b2bApiSettings

• `Optional` **b2bApiSettings**: [`B2BApiSettings`](B2BApiSettings.md)

___

### checkout

• `Optional` **checkout**: [`Checkout`](Checkout.md)

___

### config

• `Optional` **config**: [`Config`](Config.md)

___

### extensions

• `Optional` **extensions**: [`Extension`](Extension.md)[]

___

### extraFields

• `Optional` **extraFields**: [`ExtraFields`](ExtraFields.md)

___

### formFields

• `Optional` **formFields**: [`FormFields`](FormFields.md)
